Manifest-Version: 1.0
Bnd-LastModified: 1781201259534
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Layout Content Page Editor Web
Bundle-SymbolicName: com.liferay.layout.content.page.editor.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 3.0.154.hotfix-7284-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.adaptive.media.content.transformer;version="2.0",com.liferay.adapt
 ive.media.content.transformer.constants;version="1.0",com.liferay.ada
 ptive.media.image.configuration;version="2.0",com.liferay.adaptive.me
 dia.image.media.query;version="1.0",com.liferay.adaptive.media.image.
 model;version="3.1",com.liferay.adaptive.media.image.service;version=
 "1.6",com.liferay.adaptive.media.image.url;version="1.0",com.liferay.
 asset.categories.item.selector;version="1.0",com.liferay.asset.catego
 ries.item.selector.criterion;version="1.0",com.liferay.asset.kernel;v
 ersion="2.1",com.liferay.asset.kernel.model;version="9.2",com.liferay
 .asset.kernel.service;version="8.0",com.liferay.asset.kernel.service.
 persistence;version="10.0",com.liferay.asset.list.asset.entry.provide
 r;version="4.0",com.liferay.asset.list.model;version="4.0",com.lifera
 y.asset.list.service;version="2.2",com.liferay.asset.util;version="4.
 0",com.liferay.counter.kernel.service;version="2.1",com.liferay.docum
 ent.library.kernel.service;version="10.0",com.liferay.document.librar
 y.util;version="1.1",com.liferay.dynamic.data.mapping.exception;versi
 on="2.7",com.liferay.dynamic.data.mapping.model;version="7.1",com.lif
 eray.dynamic.data.mapping.service;version="3.13",com.liferay.expando.
 kernel.model;version="6.0",com.liferay.exportimport.kernel.staging;ve
 rsion="2.3",com.liferay.fragment.collection.filter;version="2.0",com.
 liferay.fragment.constants;version="3.0",com.liferay.fragment.contrib
 utor;version="5.0",com.liferay.fragment.entry.processor.helper;versio
 n="7.0",com.liferay.fragment.entry.processor.util;version="2.0",com.l
 iferay.fragment.exception;version="1.7",com.liferay.fragment.helper;v
 ersion="1.0",com.liferay.fragment.listener;version="3.0",com.liferay.
 fragment.model;version="3.4",com.liferay.fragment.processor;version="
 8.1",com.liferay.fragment.renderer;version="8.1",com.liferay.fragment
 .service;version="7.3",com.liferay.fragment.util.comparator;version="
 1.3",com.liferay.fragment.util.configuration;version="6.0",com.lifera
 y.frontend.token.definition;version="3.1",com.liferay.info.collection
 .provider;version="4.0",com.liferay.info.collection.provider.item.sel
 ector.criterion;version="2.0",com.liferay.info.display.url.provider;v
 ersion="2.0",com.liferay.info.exception;version="2.5",com.liferay.inf
 o.field;version="4.1",com.liferay.info.field.type;version="4.4",com.l
 iferay.info.filter;version="2.1",com.liferay.info.form;version="2.1",
 com.liferay.info.item;version="6.0",com.liferay.info.item.provider;ve
 rsion="2.0",com.liferay.info.item.provider.filter;version="1.0",com.l
 iferay.info.item.renderer;version="2.0",com.liferay.info.item.rendere
 r.template;version="1.0",com.liferay.info.list.provider.item.selector
 .criterion;version="2.0",com.liferay.info.list.renderer;version="3.0"
 ,com.liferay.info.localized;version="2.0",com.liferay.info.pagination
 ;version="1.1",com.liferay.info.permission.provider;version="2.0",com
 .liferay.info.search;version="2.0",com.liferay.item.selector;version=
 "4.10",com.liferay.item.selector.criteria;version="2.3",com.liferay.i
 tem.selector.criteria.file.criterion;version="1.0",com.liferay.item.s
 elector.criteria.image.criterion;version="1.1",com.liferay.item.selec
 tor.criteria.info.item.criterion;version="2.1",com.liferay.item.selec
 tor.criteria.url.criterion;version="1.0",com.liferay.item.selector.cr
 iteria.video.criterion;version="1.1",com.liferay.layout.adaptive.medi
 a;version="1.0",com.liferay.layout.content;version="2.0",com.liferay.
 layout.content.page.editor.sidebar.panel;version="2.0",com.liferay.la
 yout.converter;version="1.0",com.liferay.layout.display.page;version=
 "3.1",com.liferay.layout.helper;version="3.0",com.liferay.layout.impo
 rter;version="1.1",com.liferay.layout.item.selector.criterion;version
 ="1.4",com.liferay.layout.list.retriever;version="4.0",com.liferay.la
 yout.model;version="2.2",com.liferay.layout.page.template.exception;v
 ersion="2.0",com.liferay.layout.page.template.info.item.capability;ve
 rsion="1.1",com.liferay.layout.page.template.model;version="6.3",com.
 liferay.layout.page.template.serializer;version="1.0",com.liferay.lay
 out.page.template.service;version="5.1",com.liferay.layout.page.templ
 ate.util.comparator;version="1.1",com.liferay.layout.portlet.category
 ;version="1.0",com.liferay.layout.responsive;version="3.0",com.lifera
 y.layout.security.permission.resource;version="1.0",com.liferay.layou
 t.service;version="2.0",com.liferay.layout.util;version="7.0",com.lif
 eray.layout.util.structure;version="10.2",com.liferay.learn;version="
 1.0",com.liferay.mentions.strategy;version="1.1",com.liferay.mentions
 .util;version="1.1",com.liferay.object.model;version="7.10",com.lifer
 ay.object.service;version="38.0",com.liferay.osgi.service.tracker.col
 lections.list;version="3.0",com.liferay.petra.function;version="1.5",
 com.liferay.petra.string;version="1.7",com.liferay.portal.aop;version
 ="1.0",com.liferay.portal.configuration.metatype.annotations;version=
 "1.6",com.liferay.portal.configuration.metatype.bnd.util;version="3.0
 ",com.liferay.portal.kernel.cache;version="14.0",com.liferay.portal.k
 ernel.comment;version="4.0",com.liferay.portal.kernel.editor.configur
 ation;version="1.1",com.liferay.portal.kernel.exception;version="13.1
 ",com.liferay.portal.kernel.feature.flag;version="1.0",com.liferay.po
 rtal.kernel.image;version="10.0",com.liferay.portal.kernel.io.unsync;
 version="8.0",com.liferay.portal.kernel.json;version="11.0",com.lifer
 ay.portal.kernel.language;version="11.0",com.liferay.portal.kernel.lo
 g;version="8.0",com.liferay.portal.kernel.model;version="28.2",com.li
 feray.portal.kernel.module.configuration;version="2.1",com.liferay.po
 rtal.kernel.portlet;version="23.0",com.liferay.portal.kernel.portlet.
 bridges.mvc;version="6.0",com.liferay.portal.kernel.portlet.configura
 tion.icon;version="5.0",com.liferay.portal.kernel.portlet.url.builder
 ;version="2.0",com.liferay.portal.kernel.portletfilerepository;versio
 n="5.0",com.liferay.portal.kernel.repository.model;version="11.2",com
 .liferay.portal.kernel.resource.bundle;version="1.0",com.liferay.port
 al.kernel.security.auth;version="6.0",com.liferay.portal.kernel.secur
 ity.permission;version="6.3",com.liferay.portal.kernel.service;versio
 n="19.4",com.liferay.portal.kernel.service.permission;version="5.0",c
 om.liferay.portal.kernel.servlet;version="11.2",com.liferay.portal.ke
 rnel.theme;version="10.4",com.liferay.portal.kernel.transaction;versi
 on="8.1",com.liferay.portal.kernel.upload;version="10.0",com.liferay.
 portal.kernel.util;version="56.0",com.liferay.portal.kernel.util.comp
 arator;version="3.1",com.liferay.portal.kernel.uuid;version="6.2",com
 .liferay.portal.kernel.workflow;version="18.1",com.liferay.portal.lan
 guage,com.liferay.portal.util;version="45.0",com.liferay.portlet;vers
 ion="9.0",com.liferay.product.navigation.control.menu;version="4.0",c
 om.liferay.segments;version="1.1",com.liferay.segments.configuration.
 provider;version="3.1",com.liferay.segments.constants;version="5.0",c
 om.liferay.segments.context;version="2.0",com.liferay.segments.manage
 r;version="1.0",com.liferay.segments.model;version="2.1",com.liferay.
 segments.service;version="4.2",com.liferay.site.navigation.item.selec
 tor;version="1.0",com.liferay.site.navigation.item.selector.criterion
 ;version="1.0",com.liferay.sites.kernel.util;version="1.4",com.lifera
 y.social.kernel.util;version="1.0",com.liferay.staging;version="1.1",
 com.liferay.style.book.model;version="2.1",com.liferay.style.book.ser
 vice;version="1.4",com.liferay.style.book.util;version="1.1",com.life
 ray.style.book.util.comparator;version="1.0",com.liferay.taglib.secur
 ity;version="8.1",javax.portlet,javax.servlet,javax.servlet.http,org.
 jsoup;version="1.15",org.jsoup.nodes;version="1.15",org.jsoup.select;
 version="1.15",org.osgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Layout
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.layout.content.page.editor.web.internal.a
 daptive.media,com.liferay.layout.content.page.editor.web.internal.ass
 et.model,com.liferay.layout.content.page.editor.web.internal.comment,
 com.liferay.layout.content.page.editor.web.internal.configuration,com
 .liferay.layout.content.page.editor.web.internal.constants,com.lifera
 y.layout.content.page.editor.web.internal.display.context,com.liferay
 .layout.content.page.editor.web.internal.editor.configuration,com.lif
 eray.layout.content.page.editor.web.internal.exception,com.liferay.la
 yout.content.page.editor.web.internal.fragment.processor,com.liferay.
 layout.content.page.editor.web.internal.info.display.url.provider,com
 .liferay.layout.content.page.editor.web.internal.info.item,com.lifera
 y.layout.content.page.editor.web.internal.info.search,com.liferay.lay
 out.content.page.editor.web.internal.layout.display.page,com.liferay.
 layout.content.page.editor.web.internal.listener,com.liferay.layout.c
 ontent.page.editor.web.internal.mentions.strategy,com.liferay.layout.
 content.page.editor.web.internal.model.listener,com.liferay.layout.co
 ntent.page.editor.web.internal.portlet,com.liferay.layout.content.pag
 e.editor.web.internal.portlet.action,com.liferay.layout.content.page.
 editor.web.internal.portlet.configuration.icon,com.liferay.layout.con
 tent.page.editor.web.internal.product.navigation.control.menu,com.lif
 eray.layout.content.page.editor.web.internal.security.permission.reso
 urce,com.liferay.layout.content.page.editor.web.internal.segments,com
 .liferay.layout.content.page.editor.web.internal.sidebar.panel,com.li
 feray.layout.content.page.editor.web.internal.util,com.liferay.layout
 .content.page.editor.web.internal.util.layout.structure,com.liferay.l
 ayout.content.page.editor.web.internal.workflow
Provide-Capability: osgi.webresource;osgi.webresource="@liferay/layout
 -content-page-editor-web";version:Version="3.0.154.hotfix-7284-7413",
 osgi.service;objectClass:List<String>="com.liferay.asset.kernel.model
 .AssetRendererFactory";uses:="com.liferay.asset.kernel.model",osgi.se
 rvice;objectClass:List<String>="com.liferay.fragment.listener.Fragmen
 tEntryLinkListener";uses:="com.liferay.fragment.listener",osgi.servic
 e;objectClass:List<String>="com.liferay.layout.adaptive.media.LayoutA
 daptiveMediaProcessor";uses:="com.liferay.layout.adaptive.media",osgi
 .service;objectClass:List<String>="com.liferay.layout.content.page.ed
 itor.sidebar.panel.ContentPageEditorSidebarPanel";uses:="com.liferay.
 layout.content.page.editor.sidebar.panel",osgi.service;objectClass:Li
 st<String>="com.liferay.layout.content.page.editor.web.internal.displ
 ay.context.ContentPageEditorDisplayContextProvider";uses:="com.lifera
 y.layout.content.page.editor.web.internal.display.context",osgi.servi
 ce;objectClass:List<String>="com.liferay.layout.content.page.editor.w
 eb.internal.editor.configuration.FragmentEntryLinkEditorConfigContrib
 utor,com.liferay.portal.kernel.editor.configuration.EditorConfigContr
 ibutor";uses:="com.liferay.layout.content.page.editor.web.internal.ed
 itor.configuration,com.liferay.portal.kernel.editor.configuration",os
 gi.service;objectClass:List<String>="com.liferay.layout.content.page.
 editor.web.internal.util.FragmentCollectionManager";uses:="com.lifera
 y.layout.content.page.editor.web.internal.util",osgi.service;objectCl
 ass:List<String>="com.liferay.layout.content.page.editor.web.internal
 .util.FragmentEntryLinkManager";uses:="com.liferay.layout.content.pag
 e.editor.web.internal.util",osgi.service;objectClass:List<String>="co
 m.liferay.mentions.strategy.MentionsStrategy";uses:="com.liferay.ment
 ions.strategy",osgi.service;objectClass:List<String>="com.liferay.por
 tal.aop.AopService,com.liferay.portal.kernel.portlet.bridges.mvc.MVCA
 ctionCommand";uses:="com.liferay.portal.aop,com.liferay.portal.kernel
 .portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.life
 ray.portal.kernel.editor.configuration.EditorConfigContributor";uses:
 ="com.liferay.portal.kernel.editor.configuration",osgi.service;object
 Class:List<String>="com.liferay.portal.kernel.model.ModelListener";us
 es:="com.liferay.portal.kernel.model",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCActionComman
 d";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.service
 ;objectClass:List<String>="com.liferay.portal.kernel.portlet.bridges.
 mvc.MVCRenderCommand";uses:="com.liferay.portal.kernel.portlet.bridge
 s.mvc",osgi.service;objectClass:List<String>="com.liferay.portal.kern
 el.portlet.bridges.mvc.MVCResourceCommand";uses:="com.liferay.portal.
 kernel.portlet.bridges.mvc",osgi.service;objectClass:List<String>="co
 m.liferay.portal.kernel.portlet.configuration.icon.PortletConfigurati
 onIcon";uses:="com.liferay.portal.kernel.portlet.configuration.icon",
 osgi.service;objectClass:List<String>="com.liferay.product.navigation
 .control.menu.ProductNavigationControlMenuEntry";uses:="com.liferay.p
 roduct.navigation.control.menu",osgi.service;objectClass:List<String>
 ="javax.portlet.Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/aui))",osgi.extend
 er;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/c
 lay))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:/
 /liferay.com/tld/editor))",osgi.extender;filter:="(&(osgi.extender=js
 p.taglib)(uri=http://liferay.com/tld/frontend))",osgi.extender;filter
 :="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/layout))",
 osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifera
 y.com/tld/product-navigation))",osgi.extender;filter:="(&(osgi.extend
 er=jsp.taglib)(uri=http://liferay.com/tld/react))",osgi.extender;filt
 er:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/theme))"
 ,osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lifer
 ay.com/tld/ui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(
 uri=http://liferay.com/tld/util))",osgi.service;filter:="(objectClass
 =com.liferay.adaptive.media.content.transformer.ContentTransformerHan
 dler)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.adaptive.media.image.configuration.AMImageConfigurationHelper)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.adapti
 ve.media.image.media.query.MediaQueryProvider)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.adaptive.media.image.serv
 ice.AMImageEntryLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.adaptive.media.image.url.AMImageURLFactory
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.a
 sset.kernel.service.AssetTagLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.asset.list.asset.entry.provide
 r.AssetListAssetEntryProvider)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.asset.list.service.AssetListEntryLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.asset.list.service.AssetListEntrySegmentsEntryRelLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.asset.
 util.AssetHelper)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.document.library.kernel.service.DLAppService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.dat
 a.mapping.service.DDMStructureLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.dynamic.data.mapping.service
 .DDMTemplateLinkLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.dynamic.data.mapping.service.DDMTemplateLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.exportimport.kernel.staging.Staging)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.fragment.collection.filter
 .FragmentCollectionFilterRegistry)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.fragment.contributor.FragmentCollecti
 onContributorRegistry)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.fragment.entry.processor.helper.FragmentEntryProc
 essorHelper)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.fragment.helper.FragmentEntryLinkHelper)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.fragment.listener.Fra
 gmentEntryLinkListenerRegistry)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.fragment.processor.FragmentEntryProcesso
 rRegistry)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.fragment.processor.PortletRegistry)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.fragment.renderer.FragmentRe
 ndererController)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.fragment.renderer.FragmentRendererRegistry)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.fragment.serv
 ice.FragmentCollectionService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.fragment.service.FragmentCompositionServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .fragment.service.FragmentEntryLinkLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.fragment.service.Fragme
 ntEntryLinkService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.fragment.service.FragmentEntryLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.fragment.se
 rvice.FragmentEntryService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.fragment.util.configuration.FragmentEntryCon
 figurationParser)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.frontend.token.definition.FrontendTokenDefinitionRegis
 try)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.info.display.url.provider.InfoEditURLProviderRegistry)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.info.item.InfoI
 temServiceRegistry)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.info.item.renderer.InfoItemRendererRegistry)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.info.list.
 renderer.InfoListRendererRegistry)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.info.search.InfoSearchClassMapperRegi
 stry)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.item.selector.ItemSelector)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.layout.content.LayoutContentProvider)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.layout
 .content.page.editor.web.internal.display.context.ContentPageEditorDi
 splayContextProvider)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.layout.content.page.editor.web.internal.editor.con
 figuration.FragmentEntryLinkEditorConfigContributor)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.layout.content.page
 .editor.web.internal.util.FragmentCollectionManager)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.layout.content.page
 .editor.web.internal.util.FragmentEntryLinkManager)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.layout.display.page.
 LayoutDisplayPageProviderRegistry)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.layout.helper.CollectionPaginationHel
 per)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.layout.importer.LayoutsImporter)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.layout.list.retriever.LayoutListRetri
 everRegistry)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.layout.list.retriever.ListObjectReferenceFactoryRegistry)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.lay
 out.page.template.serializer.LayoutStructureItemJSONSerializer)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.p
 age.template.service.LayoutPageTemplateCollectionLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.layout.pa
 ge.template.service.LayoutPageTemplateCollectionService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.layout.page.tem
 plate.service.LayoutPageTemplateEntryLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.layout.page.template.
 service.LayoutPageTemplateEntryService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.layout.page.template.service.Lay
 outPageTemplateStructureLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.layout.page.template.service.Layou
 tPageTemplateStructureRelLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.layout.page.template.service.Layo
 utPageTemplateStructureService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.layout.portlet.category.PortletCategoryM
 anager)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.layout.security.permission.resource.LayoutContentModelResourcePe
 rmission)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.layout.service.LayoutClassedModelUsageLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.layout.servic
 e.LayoutLocalizationLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.layout.util.LayoutCopyHelper)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.mentions.ut
 il.MentionsUserFinder)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.cache.MultiVMPool)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.comme
 nt.CommentManager)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.image.ImageTool)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.json.JSONFa
 ctory)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.language.Language)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.portlet.PortletPrefer
 encesFactory)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.portlet.PortletURLFactory)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.portle
 tfilerepository.PortletFileRepository)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.security.permission
 .PermissionCheckerFactory)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.service.ClassNameLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.GroupLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.LayoutLocalS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.portal.kernel.service.LayoutRevisionLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.ser
 vice.LayoutSetLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.PortletItemLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.service.PortletLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.service.Portlet
 PreferencesLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.ResourcePermissionLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.service.RoleLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.service.UserLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.service.WorkflowDefinitionLinkLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.service.permission.LayoutPermission)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.util.Portal)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.se
 gments.SegmentsEntryRetriever)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.segments.configuration.provider.SegmentsC
 onfigurationProvider)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.segments.context.RequestContextMapper)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.segments.servi
 ce.SegmentsEntryLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.segments.service.SegmentsEntryService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.segmen
 ts.service.SegmentsExperienceLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.segments.service.SegmentsExpe
 rienceService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.segments.service.SegmentsExperimentRelLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.segments
 .service.SegmentsExperimentRelService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.segments.service.SegmentsExperime
 ntService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.sites.kernel.util.Sites)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.staging.StagingGroupHelper)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.style.book.ser
 vice.StyleBookEntryLocalService)";effective:=active,osgi.extender;fil
 ter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0
 .0)))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contr
 act=JavaServlet)(version=3.1.0))",osgi.contract;osgi.contract=JavaPor
 tlet;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.ee;
 filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.layout.content.page.editor.web
 .internal.adaptive.media.LayoutAdaptiveMediaProcessorImpl.xml,OSGI-IN
 F/com.liferay.layout.content.page.editor.web.internal.asset.model.Fra
 gmentEntryLinkAssetRendererFactory.xml,OSGI-INF/com.liferay.layout.co
 ntent.page.editor.web.internal.display.context.ContentPageEditorDispl
 ayContextProvider.xml,OSGI-INF/com.liferay.layout.content.page.editor
 .web.internal.editor.configuration.FragmentEntryLinkCommentEditorConf
 igContributor.xml,OSGI-INF/com.liferay.layout.content.page.editor.web
 .internal.editor.configuration.FragmentEntryLinkEditorConfigContribut
 or.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.e
 ditor.configuration.FragmentEntryLinkRichTextEditorConfigContributor.
 xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.frag
 ment.processor.PortletRegistryUtil.xml,OSGI-INF/com.liferay.layout.co
 ntent.page.editor.web.internal.info.display.url.provider.InfoEditURLP
 roviderUtil.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.i
 nternal.info.item.InfoItemServiceRegistryUtil.xml,OSGI-INF/com.lifera
 y.layout.content.page.editor.web.internal.info.search.InfoSearchClass
 MapperRegistryUtil.xml,OSGI-INF/com.liferay.layout.content.page.edito
 r.web.internal.layout.display.page.LayoutDisplayPageProviderRegistryU
 til.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.
 listener.PortalCacheFragmentEntryLinkListener.xml,OSGI-INF/com.lifera
 y.layout.content.page.editor.web.internal.mentions.strategy.PageEdito
 rCommentMentionsStrategy.xml,OSGI-INF/com.liferay.layout.content.page
 .editor.web.internal.model.listener.FragmentEntryLinkModelListener.xm
 l,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.model.
 listener.LayoutPageTemplateStructureModelListener.xml,OSGI-INF/com.li
 feray.layout.content.page.editor.web.internal.model.listener.LayoutPa
 geTemplateStructureRelModelListener.xml,OSGI-INF/com.liferay.layout.c
 ontent.page.editor.web.internal.model.listener.SegmentsExperimentMode
 lListener.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.int
 ernal.portlet.ContentPageEditorPortlet.xml,OSGI-INF/com.liferay.layou
 t.content.page.editor.web.internal.portlet.ContentPageToolbarPortlet.
 xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.port
 let.action.AddFragmentCompositionMVCActionCommand.xml,OSGI-INF/com.li
 feray.layout.content.page.editor.web.internal.portlet.action.AddFragm
 entEntryLinkCommentMVCActionCommand.xml,OSGI-INF/com.liferay.layout.c
 ontent.page.editor.web.internal.portlet.action.AddFragmentEntryLinkMV
 CActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.we
 b.internal.portlet.action.AddFragmentEntryLinksMVCActionCommand.xml,O
 SGI-INF/com.liferay.layout.content.page.editor.web.internal.portlet.a
 ction.AddItemMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content
 .page.editor.web.internal.portlet.action.AddPortletMVCActionCommand.x
 ml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.portl
 et.action.AddSegmentsExperienceMVCActionCommand.xml,OSGI-INF/com.life
 ray.layout.content.page.editor.web.internal.portlet.action.ChangeMast
 erLayoutMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page
 .editor.web.internal.portlet.action.ChangeStyleBookEntryMVCActionComm
 and.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.
 portlet.action.CreateLayoutPageTemplateEntryMVCActionCommand.xml,OSGI
 -INF/com.liferay.layout.content.page.editor.web.internal.portlet.acti
 on.DeleteFragmentEntryLinkCommentMVCActionCommand.xml,OSGI-INF/com.li
 feray.layout.content.page.editor.web.internal.portlet.action.DeleteSe
 gmentsExperienceMVCActionCommand.xml,OSGI-INF/com.liferay.layout.cont
 ent.page.editor.web.internal.portlet.action.DuplicateItemMVCActionCom
 mand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal
 .portlet.action.DuplicateSegmentsExperienceMVCActionCommand.xml,OSGI-
 INF/com.liferay.layout.content.page.editor.web.internal.portlet.actio
 n.EditCollectionConfigurationMVCRenderCommand.xml,OSGI-INF/com.lifera
 y.layout.content.page.editor.web.internal.portlet.action.EditFragment
 EntryLinkCommentMVCActionCommand.xml,OSGI-INF/com.liferay.layout.cont
 ent.page.editor.web.internal.portlet.action.EditFragmentEntryLinkMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.
 internal.portlet.action.GetAvailableImageConfigurationsMVCResourceCom
 mand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal
 .portlet.action.GetAvailableListItemRenderersMVCResourceCommand.xml,O
 SGI-INF/com.liferay.layout.content.page.editor.web.internal.portlet.a
 ction.GetAvailableListRenderersMVCResourceCommand.xml,OSGI-INF/com.li
 feray.layout.content.page.editor.web.internal.portlet.action.GetAvail
 ableTemplatesMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.conte
 nt.page.editor.web.internal.portlet.action.GetCollectionConfiguration
 MVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.page.edito
 r.web.internal.portlet.action.GetCollectionFieldMVCResourceCommand.xm
 l,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.portle
 t.action.GetCollectionFiltersMVCResourceCommand.xml,OSGI-INF/com.life
 ray.layout.content.page.editor.web.internal.portlet.action.GetCollect
 ionItemCountMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.conten
 t.page.editor.web.internal.portlet.action.GetCollectionMappingFieldsM
 VCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor
 .web.internal.portlet.action.GetCollectionSupportedFiltersMVCResource
 Command.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.inter
 nal.portlet.action.GetCollectionVariationsMVCResourceCommand.xml,OSGI
 -INF/com.liferay.layout.content.page.editor.web.internal.portlet.acti
 on.GetEditCollectionConfigurationURLMVCResourceCommand.xml,OSGI-INF/c
 om.liferay.layout.content.page.editor.web.internal.portlet.action.Get
 ExperienceDataMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.cont
 ent.page.editor.web.internal.portlet.action.GetFileEntryURLMVCResourc
 eCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.inte
 rnal.portlet.action.GetFormFieldsMVCResourceCommand.xml,OSGI-INF/com.
 liferay.layout.content.page.editor.web.internal.portlet.action.GetFra
 gmentEntryInputFieldTypesMVCResourceCommand.xml,OSGI-INF/com.liferay.
 layout.content.page.editor.web.internal.portlet.action.GetFragmentEnt
 ryLinkMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.page
 .editor.web.internal.portlet.action.GetInfoItemFieldValueMVCResourceC
 ommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.intern
 al.portlet.action.GetInfoItemMappingFieldsMVCResourceCommand.xml,OSGI
 -INF/com.liferay.layout.content.page.editor.web.internal.portlet.acti
 on.GetLayoutFriendlyURLMVCResourceCommand.xml,OSGI-INF/com.liferay.la
 yout.content.page.editor.web.internal.portlet.action.GetLayoutPageTem
 plateCollectionsMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.co
 ntent.page.editor.web.internal.portlet.action.GetMappingFieldsMVCReso
 urceCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.i
 nternal.portlet.action.GetPageContentMVCResourceCommand.xml,OSGI-INF/
 com.liferay.layout.content.page.editor.web.internal.portlet.action.Ge
 tPortletsMVCResourceCommand.xml,OSGI-INF/com.liferay.layout.content.p
 age.editor.web.internal.portlet.action.MarkItemForDeletionMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.interna
 l.portlet.action.MoveFragmentEntryLinkMVCActionCommand.xml,OSGI-INF/c
 om.liferay.layout.content.page.editor.web.internal.portlet.action.Pub
 lishLayoutMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.pa
 ge.editor.web.internal.portlet.action.PublishLayoutPageTemplateEntryM
 VCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.w
 eb.internal.portlet.action.RestoreCollectionDisplayConfigMVCActionCom
 mand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal
 .portlet.action.SaveVariantSegmentsExperienceMVCActionCommand.xml,OSG
 I-INF/com.liferay.layout.content.page.editor.web.internal.portlet.act
 ion.UnmarkItemsForDeletionMVCActionCommand.xml,OSGI-INF/com.liferay.l
 ayout.content.page.editor.web.internal.portlet.action.UpdateCollectio
 nConfigurationMVCActionCommand.xml,OSGI-INF/com.liferay.layout.conten
 t.page.editor.web.internal.portlet.action.UpdateCollectionDisplayConf
 igMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page.edito
 r.web.internal.portlet.action.UpdateConfigurationValuesMVCActionComma
 nd.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.p
 ortlet.action.UpdateFormItemConfigMVCActionCommand.xml,OSGI-INF/com.l
 iferay.layout.content.page.editor.web.internal.portlet.action.UpdateF
 ragmentPortletSetsSortConfigurationMVCActionCommand.xml,OSGI-INF/com.
 liferay.layout.content.page.editor.web.internal.portlet.action.Update
 FragmentsHighlightedConfigurationMVCActionCommand.xml,OSGI-INF/com.li
 feray.layout.content.page.editor.web.internal.portlet.action.UpdateIt
 emConfigMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.page
 .editor.web.internal.portlet.action.UpdateLayoutPageTemplateDataMVCAc
 tionCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.i
 nternal.portlet.action.UpdatePortletsHighlightedConfigurationMVCActio
 nCommand.xml,OSGI-INF/com.liferay.layout.content.page.editor.web.inte
 rnal.portlet.action.UpdateRowColumnsMVCActionCommand.xml,OSGI-INF/com
 .liferay.layout.content.page.editor.web.internal.portlet.action.Updat
 eSegmentsExperienceMVCActionCommand.xml,OSGI-INF/com.liferay.layout.c
 ontent.page.editor.web.internal.portlet.action.UpdateSegmentsExperien
 cePriorityMVCActionCommand.xml,OSGI-INF/com.liferay.layout.content.pa
 ge.editor.web.internal.portlet.configuration.icon.PortletPermissionsP
 ortletConfigurationIcon.xml,OSGI-INF/com.liferay.layout.content.page.
 editor.web.internal.product.navigation.control.menu.InfoItemSelectorP
 roductNavigationControlMenuEntry.xml,OSGI-INF/com.liferay.layout.cont
 ent.page.editor.web.internal.security.permission.resource.ModelResour
 cePermissionUtil.xml,OSGI-INF/com.liferay.layout.content.page.editor.
 web.internal.sidebar.panel.BrowserContentPageEditorSidebarPanel.xml,O
 SGI-INF/com.liferay.layout.content.page.editor.web.internal.sidebar.p
 anel.CommentsContentPageEditorSidebarPanel.xml,OSGI-INF/com.liferay.l
 ayout.content.page.editor.web.internal.sidebar.panel.FragmentsContent
 PageEditorSidebarPanel.xml,OSGI-INF/com.liferay.layout.content.page.e
 ditor.web.internal.sidebar.panel.MappingContentPageEditorSidebarPanel
 .xml,OSGI-INF/com.liferay.layout.content.page.editor.web.internal.sid
 ebar.panel.PageContentPageEditorSidebarPanel.xml,OSGI-INF/com.liferay
 .layout.content.page.editor.web.internal.sidebar.panel.PageDesignOpti
 onsSidebarPanel.xml,OSGI-INF/com.liferay.layout.content.page.editor.w
 eb.internal.util.AssetHelperUtil.xml,OSGI-INF/com.liferay.layout.cont
 ent.page.editor.web.internal.util.FragmentCollectionManager.xml,OSGI-
 INF/com.liferay.layout.content.page.editor.web.internal.util.Fragment
 EntryLinkManager.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /layout-content-page-editor-web

